How to get EV charge point predictions
This tutorial provides instructions on how to use the HERE EV Charge Points API v3 to get the EV charge point predictions for a location and for connector groups at the location.
Note
Not all EV charging locations have EV charge point predictions.
EV charge point predictions require adding a separate license to your subscription. To obtain this license, contact your HERE Account Executive.
Prerequisites
Before you start, complete your HERE platform onboarding and obtain application credentials. For more information about onboarding and credentials, see Get started.
This section requires you to understand basic requests in the HERE EV Charge Points API v3 API as covered in Get one or multiple charging locations.
HTTP call to the endpoint
To access the HERE EV Charge Points API v3 locations endpoint, send this request:
GET /v3/locations
Host: evcp.hereapi.com
User-Agent: curl/8.6.0
Accept: application/json
Authorization: Bearer ACCESS_TOKEN
The following examples all use cURL syntax. The location id: 246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz supports EV charge point predictions. The requests in this tutorial use this ID to query for the associated EV charging location.
Get predictions for a charging location
To get the EV charge point predictions for a charging location, use the query parameter fields=predictions. For details on this parameter, see the API reference.
curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz?fields=predictions" | jq
The response is as follows:
{
"location": {
"lat": 61.493773,
"lng": 23.820261
},
"id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
"supportedVehicles": [
"car"
],
"name": "K-Lataus",
"operator": {
"name": "K-Lataus",
"partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
"website": "https://k-lataus.fi/"
},
"predictions": [
{
"date": "2025-02-26",
"confidence": 0.94,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
},
{
"date": "2025-02-27",
"confidence": 0.94,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
}
]
}By default, the field predictions contains EV charge point predictions for the current and the next day in the local time of the charging location. To receive EV charge point predictions for more days in the future (up to seven days), call the HERE EV Charge Points API v3 with the days parameter. For example, use fields=predictions&days=5 to receive EV charge point predictions for the total of five days (current day and four following days):
curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz?fields=predictions&days=5" | jq
The response is as follows:
{
"location": {
"lat": 61.493773,
"lng": 23.820261
},
"id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
"supportedVehicles": [
"car"
],
"name": "K-Lataus",
"operator": {
"name": "K-Lataus",
"partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
"website": "https://k-lataus.fi/"
},
"predictions": [
{
"date": "2025-02-26",
"confidence": 0.94,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
},
{
"date": "2025-02-27",
"confidence": 0.94,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
},
{
"date": "2025-02-28",
"confidence": 0.94,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
},
{
"date": "2025-03-01",
"confidence": 0.94,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
},
{
"date": "2025-03-02",
"confidence": 0.94,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
}
]
}The EV charge point predictions consists of two data types: availabilityProbabilities and predictedWaitTimes. The availabilityProbabilities provides the probability of the charging location being available. The probability is in range 0 to 1 in 15-minute intervals for a day. The predictedWaitTimes, on the other hand, provides the expected waiting time in minutes in 15-minute intervals for a day.
Use case: get predictions for connector groups
To get the EV charge point predictions for connector groups in addition to the predictions for the whole charging location, use the query parameter fields=predictions,connectorGroups (see API reference for details):
curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz?fields=predictions,connectorGroups" | jq
The response is as follows:
{
"location": {
"lat": 61.493773,
"lng": 23.820261
},
"id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
"supportedVehicles": [
"car"
],
"name": "K-Lataus",
"operator": {
"name": "K-Lataus",
"partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
"website": "https://k-lataus.fi/"
},
"connectorGroups": [
{
"standard": "CHADEMO",
"maxPower": 50000,
"connectorCount": 1,
"availableConnectorCount": 1,
"predictions": [
{
"date": "2025-02-26",
"confidence": 0.86,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
},
{
"date": "2025-02-27",
"confidence": 0.86,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
}
]
},
{
"standard": "IEC_62196_T2",
"maxPower": 11000,
"connectorCount": 2,
"availableConnectorCount": 2,
"predictions": [
{
"date": "2025-02-26",
"confidence": 0.88,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
},
{
"date": "2025-02-27",
"confidence": 0.88,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
}
]
},
{
"standard": "IEC_62196_T2_COMBO",
"maxPower": 150000,
"connectorCount": 2,
"availableConnectorCount": 2,
"predictions": [
{
"date": "2025-02-26",
"confidence": 0.89,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
},
{
"date": "2025-02-27",
"confidence": 0.89,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
}
]
}
],
"predictions": [
{
"date": "2025-02-26",
"confidence": 0.94,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
},
{
"date": "2025-02-27",
"confidence": 0.94,
"periodsPerDay": 96,
"availabilityProbabilities": [
1,
...
1
],
"predictedWaitTimes": [
0,
...
0
]
}
]
}Now, in addition to the predictions for the whole charging location in the field predictions, the field connectorGroups carries a predictions field for each connector group at the charging location. This provides more detailed predictions for the connector groups.
Again, the HERE EV Charge Points API v3 provides default EV charge point predictions for the current and the next day in the local time of the charging location. To request EV charge point predictions for a longer period for connector groups, use the days parameter by specifying fields=predictions,connectorGroups&days=5 to get predictions for the total of five days (current day and the next four days).
Updated 2 days ago